View Bug Details

IDProjectCategoryView StatusLast Update
0001827DCP-o-maticBugspublic2020-10-17 21:26
Reportercarl Assigned Tocarl  
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.16.0 
Summary0001827: Player hangs when choosing different CPLs
Description

run/dcpomatic_player ~/cr/reporter/ and then change CPL; DoM hangs

Reporter also mentions that sometimes it works but there's no subs/CCAP.

I also noticed that the DCP title in the lower left corner doesnt change when you change the CPL. Also sometime when you click on a different CPL, it just doesnt do anything, if you
open the menu again it just stays on the old CPL)

TagsNo tags attached.
Branch
Estimated weeks required
Estimated work requiredUndecided

Activities

carl

2020-09-25 23:33

administrator   ~0003946

Last edited: 2020-09-25 23:34

#0  0x00007fffee70029c in __lll_lock_wait () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:103                                                                                                               
0000001  0x00007fffee6f9714 in __GI___pthread_mutex_lock (mutex=0x555555cbf978) at ../nptl/pthread_mutex_lock.c:80                                                                                                      
0000002  0x000055555567c101 in boost::posix::pthread_mutex_lock(pthread_mutex_t*) (m=0x555555cbf978) at /usr/include/boost/thread/pthread/mutex.hpp:58                                                                  
0000003  0x000055555567c101 in boost::mutex::lock() (this=0x555555cbf978) at /usr/include/boost/thread/pthread/mutex.hpp:112                                                                                            
0000004  0x00005555556940cf in boost::unique_lock<boost::mutex>::lock() (this=0x7fffffffa300) at /usr/include/boost/thread/lock_types.hpp:346                                                                           
0000005  0x00005555556934fd in boost::unique_lock<boost::mutex>::unique_lock(boost::mutex&) (this=0x7fffffffa300, m_=...) at /usr/include/boost/thread/lock_types.hpp:124                                               
0000006  0x00007ffff77bd0f9 in Content::position() const (this=0x555555cbf8c0) at ../src/lib/content.h:145                                                                                                              
0000007  0x00007ffff660e4e1 in Content::length_after_trim(boost::shared_ptr<Film const>) const (this=0x555555cbf8c0, film=...) at ../src/lib/content.cc:306                                                             
0000008  0x00007ffff7a98975 in Content::end(boost::shared_ptr<Film const>) const (this=0x555555cbf8c0, film=...) at ../src/lib/content.h:165                                                                            
0000009  0x00007ffff6899ace in Playlist::length(boost::shared_ptr<Film const>) const (this=0x555555c52950, film=...) at ../src/lib/playlist.cc:423                                                                      
0000010 0x00007ffff6782c60 in Film::length() const (this=0x555555d52a30) at ../src/lib/film.cc:1393                                                                                                                    
0000011 0x00007ffff787626e in FilmViewer::seek(dcpomatic::Time<dcpomatic::DCPTimeDifferentiator, dcpomatic::ContentTimeDifferentiator>, bool) (this=0x5555559d3020, t=..., accurate=true)                              
    at ../src/wx/film_viewer.cc:482                                                                                                                                                                                
0000012 0x00007ffff7875e60 in FilmViewer::slow_refresh() (this=0x5555559d3020) at ../src/wx/film_viewer.cc:433                                                                                                         
0000013 0x00007ffff77eb542 in ClosedCaptionsDialog::track_selected() (this=0x555555c2d180) at ../src/wx/closed_captions_dialog.cc:91                                                                                   
0000014 0x00007ffff77ecbb1 in ClosedCaptionsDialog::update_tracks(boost::shared_ptr<Film const>) (this=0x555555c2d180, film=...) at ../src/wx/closed_captions_dialog.cc:256                                            
0000015 0x00007ffff787715d in FilmViewer::content_change(ChangeType, int) (this=0x5555559d3020, type=CHANGE_TYPE_DONE, property=516) at ../src/wx/film_viewer.cc:731                                                   
0000016 0x00007ffff7899291 in boost::_mfi::mf2<void, FilmViewer, ChangeType, int>::operator()(FilmViewer*, ChangeType, int) const (this=0x555555d55630, p=0x5555559d3020, a1=CHANGE_TYPE_DONE, a2=516)                 
    at /usr/include/boost/bind/mem_fn_template.hpp:280
4<boost::_bi::value<ChangeType>, boost::_bi::value<boost::shared_ptr<Content> >, boost::_bi::value<int>, boost::_bi::value<bool> > >) (this=0x555555cbf8c0, signal=...) at ../src/lib/signaller.h:114     [0/10097]
0000079 0x00007ffff660db64 in Content::signal_change(ChangeType, int) (this=0x555555cbf8c0, c=CHANGE_TYPE_DONE, p=516) at ../src/lib/content.cc:207                                                                    
0000080 0x00007ffff64fde57 in ChangeSignaller<Content>::~ChangeSignaller() (this=0x7fffffffc840, __in_chrg=<optimized out>) at ../src/lib/change_signaller.h:41                                                        
0000081 0x00007ffff6598a67 in ContentPart::maybe_set<DCPTextTrack>(boost::optional<DCPTextTrack>&, DCPTextTrack, int) const (this=0x555556632570, member=..., new_value=..., property=516)                             
    at ../src/lib/content_part.h:67                                                                                                                                                                                
0000082 0x00007ffff6592c25 in TextContent::set_dcp_track(DCPTextTrack) (this=0x555556632570, t=...) at ../src/lib/text_content.cc:571                                                                                  
0000083 0x00007ffff664c0ff in DCPContent::examine(boost::shared_ptr<Film const>, boost::shared_ptr<Job>) (this=0x555555cbf8c0, film=..., job=...) at ../src/lib/dcp_content.cc:258

carl

2020-10-17 21:26

administrator   ~0003964

Should be fixed by b33881c9ebe55084434bfea16ba050ad1ba6cb03 in 2.15.104.

Bug History

Date Modified Username Field Change
2020-09-14 00:28 carl New Bug
2020-09-14 00:28 carl Status new => confirmed
2020-09-14 00:28 carl Estimated work required => Undecided
2020-09-14 00:28 carl Description Updated
2020-09-14 00:30 carl Description Updated
2020-09-25 23:33 carl Note Added: 0003946
2020-09-25 23:34 carl Note Edited: 0003946
2020-10-17 21:26 carl Assigned To => carl
2020-10-17 21:26 carl Status confirmed => resolved
2020-10-17 21:26 carl Resolution open => fixed
2020-10-17 21:26 carl Note Added: 0003964